#!/bin/bash -e

# Install packages for Go
echo "================= Install packages for Go ==================="
apt-get update && apt-get install \
	autotools-dev \
	autoconf \
	bison \
	cmake \
	scons \
	binutils \
	gcc \
	bsdmainutils \
	bzr

# Install gvm
echo "================= Install gvm ==================="
curl -s -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer | bash

export CGO_ENABLED=0
#set the source path of gvm. $HOME points to '/root'
# We are getting the error while sourceing "Please restart your terminal session or to get started right away run" So we add true for souce command
[[ -s "$HOME/.gvm/scripts/gvm" ]] && source $HOME/.gvm/scripts/gvm || echo "Could not source from $HOME/.gvm/scripts/gvm"
export CGO_ENABLED=0

# Install gvm
echo "================= Install Go $GOVER ==================="
export GOROOT_BOOTSTRAP=$GOROOT
gvm install go$GOVER --prefer-binary
source /root/.gvm/scripts/gvm || echo "Could not source from /root/.gvm/scripts/gvm"
gvm use go$GOVER

echo "======= Install go linter ========="
curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(go env GOPATH)/bin
golangci-lint --version